Upsert camera access config (modo + portas vinculadas)
curl --request PUT \
--url http://0.0.0.0:3000/v1/lpr/cameras/{camera_entity_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lock_entity_ids": [
"<string>"
],
"default_timezone": "<string>",
"dedupe_window_s": 1800
}
'import requests
url = "http://0.0.0.0:3000/v1/lpr/cameras/{camera_entity_id}"
payload = {
"lock_entity_ids": ["<string>"],
"default_timezone": "<string>",
"dedupe_window_s": 1800
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lock_entity_ids: ['<string>'],
default_timezone: '<string>',
dedupe_window_s: 1800
})
};
fetch('http://0.0.0.0:3000/v1/lpr/cameras/{camera_entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "3000",
CURLOPT_URL => "http://0.0.0.0:3000/v1/lpr/cameras/{camera_entity_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'lock_entity_ids' => [
'<string>'
],
'default_timezone' => '<string>',
'dedupe_window_s' => 1800
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://0.0.0.0:3000/v1/lpr/cameras/{camera_entity_id}"
payload := strings.NewReader("{\n \"lock_entity_ids\": [\n \"<string>\"\n ],\n \"default_timezone\": \"<string>\",\n \"dedupe_window_s\": 1800\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://0.0.0.0:3000/v1/lpr/cameras/{camera_entity_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"lock_entity_ids\": [\n \"<string>\"\n ],\n \"default_timezone\": \"<string>\",\n \"dedupe_window_s\": 1800\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://0.0.0.0:3000/v1/lpr/cameras/{camera_entity_id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"lock_entity_ids\": [\n \"<string>\"\n ],\n \"default_timezone\": \"<string>\",\n \"dedupe_window_s\": 1800\n}"
response = http.request(request)
puts response.read_body{
"config_entry_id": 123,
"camera_entity_id": "<string>",
"mode": "legacy",
"lock_entity_ids": [
"<string>"
],
"default_timezone": "<string>",
"dedupe_window_s": 123,
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "validation error"
}{
"error": "unauthorized"
}{
"error": "forbidden"
}{
"message": "not found"
}LPR
Upsert camera access config (modo + portas vinculadas)
PUT
/
v1
/
lpr
/
cameras
/
{camera_entity_id}
Upsert camera access config (modo + portas vinculadas)
curl --request PUT \
--url http://0.0.0.0:3000/v1/lpr/cameras/{camera_entity_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lock_entity_ids": [
"<string>"
],
"default_timezone": "<string>",
"dedupe_window_s": 1800
}
'import requests
url = "http://0.0.0.0:3000/v1/lpr/cameras/{camera_entity_id}"
payload = {
"lock_entity_ids": ["<string>"],
"default_timezone": "<string>",
"dedupe_window_s": 1800
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lock_entity_ids: ['<string>'],
default_timezone: '<string>',
dedupe_window_s: 1800
})
};
fetch('http://0.0.0.0:3000/v1/lpr/cameras/{camera_entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "3000",
CURLOPT_URL => "http://0.0.0.0:3000/v1/lpr/cameras/{camera_entity_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'lock_entity_ids' => [
'<string>'
],
'default_timezone' => '<string>',
'dedupe_window_s' => 1800
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://0.0.0.0:3000/v1/lpr/cameras/{camera_entity_id}"
payload := strings.NewReader("{\n \"lock_entity_ids\": [\n \"<string>\"\n ],\n \"default_timezone\": \"<string>\",\n \"dedupe_window_s\": 1800\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://0.0.0.0:3000/v1/lpr/cameras/{camera_entity_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"lock_entity_ids\": [\n \"<string>\"\n ],\n \"default_timezone\": \"<string>\",\n \"dedupe_window_s\": 1800\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://0.0.0.0:3000/v1/lpr/cameras/{camera_entity_id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"lock_entity_ids\": [\n \"<string>\"\n ],\n \"default_timezone\": \"<string>\",\n \"dedupe_window_s\": 1800\n}"
response = http.request(request)
puts response.read_body{
"config_entry_id": 123,
"camera_entity_id": "<string>",
"mode": "legacy",
"lock_entity_ids": [
"<string>"
],
"default_timezone": "<string>",
"dedupe_window_s": 123,
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "validation error"
}{
"error": "unauthorized"
}{
"error": "forbidden"
}{
"message": "not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
ID da organização para contexto (opcional). Quando presente, filtra recursos da org.
Path Parameters
Body
application/json